Try Catch Function Example in C++


Description:

An exception is a situation, which occured by the runtime error. In other words, an exception is a runtime error. An exception may result in loss of data or an abnormal execution of program. Exception handling is a mechanism that allows you to take appropriate action to avoid runtime errors.

  • throw − A program throws an exception when a problem shows up. This is done using a throw keyword.
  • catch − A program catches an exception with an exception handler at the place in a program where you want to handle the problem. The catch keyword indicates the catching of an exception.
  • try − A try block identifies a block of code for which particular exceptions will be activated. It's followed by one or more catch blocks.

Assuming a block will raise an exception, a method catches an exception using a combination of the try and catch keywords. A try/catch block is placed around the code that might generate an exception.

Example Program:

Here is the simple program try catch function in C++.

Source Code

//Try Catch Between Function
#include<iostream>
using namespace std;
int division(int x,int y)
{
    int z;
    if(y==0)
        throw 1;
    z=x/y;
    return z;
}
int main()
{
    int a=10,b=2,c;
    try
    {
        c=division(a,b);
        cout<<"The Value of C : "<<c<<endl;
    }
    catch(int e)
    {
        cout<<"Error Dividing by Zero"<<endl;
    }
    cout<<"End";
    return 0;
}
To download raw file Click Here

Output

The Value of C : 5
End

Basic Programs


Flow Control

IF Statement Examples


Switch Case

Goto Statement

Break and Continue

While Loop

Do While Loop

For Loop

Friend Function in C++


String Examples


Array Examples


Structure Examples


Structure & Pointer Examples


Structure & Functions Examples


Enumeration Examples


Template Examples


Functions


List of Programs


Pointer Examples


Memory Management Examples


Pointers and Arrays


Virtual Function Examples



Learn All in Tamil © Designed & Developed By Tutor Joes